org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

## Class TableMergeViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.jface.viewers.ContentViewer
    - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer
      - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractStructuredMergeViewer
        - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractTableOrTreeMergeViewer
          - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.TableMergeViewer

All Implemented Interfaces:
  IMergeViewer, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class TableMergeViewer
    extends AbstractTableOrTreeMergeViewer

A concrete implementation of `AbstractTableOrTreeMergeViewer` for TableViewer.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractTableOrTreeMergeViewer

`AbstractTableOrTreeMergeViewer.ElementComparer, AbstractTableOrTreeMergeViewer.MesureItemListener`

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer

`IMergeViewer.MergeViewerSide`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

### Constructor Summary

Constructors
Constructor and Description
`TableMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side, ICompareColor.Provider colorProvider, IEMFCompareConfiguration compareConfiguration)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the primary control associated with this viewer.
`org.eclipse.jface.viewers.TableViewer` `getStructuredViewer()` Returns the wrapped `StructuredViewer`.
`int` `getVerticalOffset()`
`protected void` `hookDispose()`
`protected void` `inputChanged(Object input, Object oldInput)`
`void` `refresh()` Refreshes this viewer completely with information freshly obtained from this viewer's model.
`void` `setContentProvider(org.eclipse.jface.viewers.IContentProvider contentProvider)`
`void` `setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider labelProvider)`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractTableOrTreeMergeViewer

`handleDispose, handleEraseItemEvent, handlePaintItemEvent`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractStructuredMergeViewer

`createAction, createContextMenu, fillContextMenu, getControl, getDiff, getSelection, setSelection`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer

`getCompareConfiguration, getDifferenceFilter, getDifferenceGroupProvider, getEffectiveSide, getSide, handleDifferenceFilterChange, handleDifferenceGroupProviderChange`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput, getLabelProvider, handleLabelProviderChanged, hookControl, labelProviderChanged, setInput`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer

`setInput`

### Methods inherited from interface org.eclipse.jface.viewers.IInputProvider

`getInput`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

### Constructor Detail

#### TableMergeViewer

    public TableMergeViewer(org.eclipse.swt.widgets.Composite parent,
                            IMergeViewer.MergeViewerSide side,
                            ICompareColor.Provider colorProvider,
                            IEMFCompareConfiguration compareConfiguration)

Default constructor.

Parameters:
  `parent` - the parent widget of this viewer.
  `side` - the side of this viewer.
  `colorProvider` - the color provider to use with this viewer.
  `compareConfiguration` - the compare configuration object to use with this viewer.

### Method Detail

#### createControl

    protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

Creates the primary control associated with this viewer.

Specified by:
  `createControl` in class `AbstractStructuredMergeViewer`
Parameters:
  `parent` - the parent widget of this viewer.
Returns:
  the created primary control associated with this viewer.
See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer#createControl(org.eclipse.swt.widgets.Composite)`

#### getVerticalOffset

    public final int getVerticalOffset()

#### getStructuredViewer

    public final org.eclipse.jface.viewers.TableViewer getStructuredViewer()

Returns the wrapped `StructuredViewer`.

Specified by:
  `getStructuredViewer` in class `AbstractStructuredMergeViewer`
Returns:
  the wrapped `StructuredViewer`.
See Also:
  `org.eclipse.emf.compare.rcp.ui.mergeviewer.impl.AbstractMergeViewer.ui.internal.contentmergeviewer.AbstractMergeViewer#getStructuredViewer()`

#### setContentProvider

    public void setContentProvider(org.eclipse.jface.viewers.IContentProvider contentProvider)

Overrides:
  `setContentProvider` in class `AbstractStructuredMergeViewer`
See Also:
  `ContentViewer.setContentProvider(org.eclipse.jface.viewers.IContentProvider)`

#### setLabelProvider

    public void setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider labelProvider)

Overrides:
  `setLabelProvider` in class `AbstractStructuredMergeViewer`
See Also:
  `ContentViewer.setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider)`

#### hookDispose

    protected void hookDispose()

Specified by:
  `hookDispose` in class `AbstractStructuredMergeViewer`

#### inputChanged

    protected void inputChanged(Object input,
                                Object oldInput)

Overrides:
  `inputChanged` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.inputChanged(java.lang.Object, java.lang.Object)`

#### refresh

    public void refresh()

Refreshes this viewer completely with information freshly obtained from this viewer's model.

Specified by:
  `refresh` in interface `IMergeViewer`
Specified by:
  `refresh` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.refresh()`